#version 330 core //#version 430 core?
in vec2 TexCoords;
out vec4 color;

uniform sampler2D image;
uniform vec3 spriteColor;

void main()
{    
    vec4 sample = texture(image, TexCoords);
    if (sample.a < 0.2)
        discard;
    color = vec4(spriteColor, 1.0) * sample;
    //color = vec4(spriteColor, 1.0) * texture(image, TexCoords);
}  